Search Connection Health

circle-info

This endpoint cached once every 24 hours. The data you see may be stale, although if you refresh a specific merchant, those updates will be reflected here. We highly recommend subscribing to our Webhooksarrow-up-right to get accurate information about when a merchant needs attention.

Search Connection Health

post

Search, Filter and Sort Connection Health reports for all accessible merchants, paged

Query parameters
pageinteger · int32OptionalDefault: 1
sizeinteger · int32OptionalDefault: 20
app_idinteger · int32Required
exclude_publicbooleanOptionalDefault: true
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

Request object for searching, sorting and filtering ConnectionHealth

querystringOptional

A partial match query against either merchantId or merchantName

statusstring · enumOptional

Filter by ConnectionHealth Status

Possible values:
sort_bystring · enumOptional

Property to sort by in camelCase

Possible values:
sort_directionstring · enumOptional

Direction to sort by

Possible values:
Responses
chevron-right
200

success

application/json
lastbooleanOptional

Boolean indicating if this is the last page

total_pagesinteger · int32Optional

The total count of pages available

total_elementsinteger · int32Optional

The total count of objects available

firstbooleanOptional

Boolean indicating if this is the first page of the response

number_of_elementsinteger · int32Optional

The total number of objects in this specific response

sizeinteger · int32Optional

The page size selected at request time

numberinteger · int32Optional

The page number selected at request time

emptybooleanOptional

Boolean indicating if the response content is empty

next_page_cursorstringOptional

Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.

post
/operations/connection_health/search
200

success

Last updated

Was this helpful?